1. Authentication
  2. Create an access token
POST
/v1/auth/token
curl --request POST \
     --url https://public-api.sandbox.remitian.com/v1/auth/token \
     --header 'Content-Type: application/json' \
     --data '{
  "externalIntegratorId": "string",
  "clientApplicationId": "string",
  "apiSecret": "string",
  "scope": "string"
}'

​
Body

application/json
externalIntegratorId
required
string

Unique identifier for the external integrator (e.g., 550e8400-e29b-41d4-a716-446655440000)

clientApplicationId
required
string

Client application identifier (e.g., 019b2952-c553-7a93-ba57-d3baf8e09cb0)

apiSecret
required
string

Secret key for API authentication (e.g., sec_550e8400e29b41d4a716446655440000)

scope
required
string

Access scope: 'all' for full access | 'firm:{firmId}' for firm-specific access | 'firm:{firmId}:firmUser:{firmUserId}' for firm user-specific access | 'taxpayer:{taxpayerId}' for taxpayer-specific access

​
Response

application/json
  • 200

  • 400

  • 401

OK

accessToken
required
string

The access token issued by the authentication server.

expireInSeconds
required
integer

The lifetime in seconds of the access token.